> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerocash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Charge

> Start a card payment transaction by sending the customer's card details and transaction information.



## OpenAPI

````yaml POST /api/b2b/fiat/deposit/card
openapi: 3.1.0
info:
  title: Zerocash API
  version: 1.0.0
  description: >-
    The Zerocash API lets you collect payments (charges) and disburse funds
    (payouts) across supported markets through a single, unified integration.
servers:
  - url: https://api.zerocash.tech
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Obtain and manage API credentials.
  - name: Reference Data
    description: Look up countries, banks, operators, and rates before transacting.
  - name: Charges
    description: Collect payments from your customers.
  - name: Payouts
    description: Disburse funds to recipients.
  - name: Transactions
    description: Retrieve and reconcile transactions.
  - name: Webhooks
    description: Receive and replay real-time event notifications.
paths:
  /api/b2b/fiat/deposit/card:
    post:
      tags:
        - Charges
      summary: Card Charge
      description: >-
        Start a card payment transaction by sending the customer's card details
        and transaction information.
      operationId: card-charge
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
                - ipAddress
                - email
                - firstName
                - lastName
                - externalReference
                - cardDetails
              properties:
                amount:
                  type: number
                  format: float
                currency:
                  type: string
                  description: 3-letter currency code (e.g., NGN, USD).
                ipAddress:
                  type: string
                  description: The user's ip address.
                email:
                  type: string
                  description: Customer's email address.
                firstName:
                  type: string
                  description: Customer's first name
                lastName:
                  type: string
                  description: Customer's last name
                externalReference:
                  type: string
                  description: >-
                    A unique ID of your liking to reconcile transactions
                    internally.
                cardDetails:
                  type: object
                  description: Card details object
                  required:
                    - cvv
                    - number
                    - expMonth
                    - expYear
                  properties:
                    cvv:
                      type: string
                      description: Card CVV
                    number:
                      type: string
                      description: Card PAN
                    expMonth:
                      type: string
                      description: Expiry month (MM)
                    expYear:
                      type: string
                      description: Expiry year (YY)
                address:
                  type: object
                  description: Billing address (required for some international cards)
                  required:
                    - street1
                    - city
                    - country
                  properties:
                    street1:
                      type: string
                    street2:
                      type: string
                    city:
                      type: string
                    country:
                      type: string
                      description: ISO 3166-1 alpha-2 code
                    postalCode:
                      type: string
                    state:
                      type: string
                device3DSInfo:
                  type: object
                  description: Required for some currencies e.g USD
                  required:
                    - colorDepth
                    - screenHeight
                    - screenWidth
                    - timeZone
                    - deviceId
                    - userAgent
                  properties:
                    colorDepth:
                      type: integer
                      description: Screen color depth
                      format: int32
                    screenHeight:
                      type: integer
                      description: Screen height in pixels
                      format: int32
                    screenWidth:
                      type: integer
                      description: Screen width in pixels
                      format: int32
                    timeZone:
                      type: integer
                      description: Timezone offset in minutes
                      format: int32
                    deviceId:
                      type: string
                      description: Unique device identifier
                    userAgent:
                      type: string
                      description: Browser user agent string
                successRedirectUrl:
                  type: string
                  description: The redirect url for a successful transaction
            examples:
              USD:
                value:
                  amount: 10
                  ipAddress: 159.26.101.81
                  currency: USD
                  email: bruce@acechemicals.com
                  firstName: Bruce
                  lastName: Wayne
                  externalReference: '123456789'
                  cardDetails:
                    cvv: '000'
                    number: '4242424242424242'
                    expMonth: '09'
                    expYear: '28'
                  address:
                    zip: '19709'
                    country: US
                    street1: 651 N Broad St
                    city: Middletown
                    state: DE
                  device3DSInfo:
                    colorDepth: 30
                    screenHeight: 1050
                    screenWidth: 1680
                    userAgent: >-
                      Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
                      AppleWebKit/537.36 (KHTML, like Gecko) Chrome/145.0.0.0
                      Safari/537.36
                    timeZone: 180
                    deviceId: >-
                      29b435613857666dhgfdhg3b0a778471fbe9dc72db044886c7cc1175e4af632d4eb
              NGN:
                value:
                  amount: 100
                  ipAddress: 102.218.103.10
                  currency: NGN
                  email: wally@starlabs.com
                  firstName: Wally
                  lastName: West
                  externalReference: '123456789'
                  cardDetails:
                    cvv: '000'
                    number: '4242424242424242'
                    expMonth: '09'
                    expYear: '28'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    message: Card charge initiated
                    data:
                      transactionId: OD2bmfdvLSv1chSVtdss
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Card charge initiated
                  data:
                    type: object
                    properties:
                      transactionId:
                        type: string
                        example: OD2bmfdvLSv1chSVtdss
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````